import 'package:adaptix/adaptix.dart';
import 'package:flutter/material.dart';
import 'package:sapaly_shop/models/settings_model.dart';

import '../../widgets/sapaly_app_bar.dart';
import '../../../constants/global_variables.dart';
import '../../../themes/app_theme.dart';

class SearchScreen extends StatelessWidget {
  const SearchScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: AppTheme.lightBackgroundColor,
      appBar: SapalyAppBar(
        hasActionButton: false,
        badge: '',
        title: 'searchHint'.translation,
        actionButton: Container(color: AppTheme.lightBackgroundColor),
        leadingButton: const Icon(Icons.arrow_back, color: AppTheme.blackColor),
        leadingOnTap: () {
          Navigator.of(context).pop();
        },
        actionOnTap: () {},
      ),
      body: ListView(
        padding: EdgeInsets.symmetric(
          horizontal: GlobalVariables.horizontalPadding(context),
        ),
        shrinkWrap: true,
        scrollDirection: Axis.vertical,
        children: [
          SizedBox(height: GlobalVariables.verticalPadding(context)),
          SizedBox(height: 15.adaptedPx()),
        ],
      ),
    );
  }
}
